summaryrefslogtreecommitdiffstats
path: root/www/firefox-devel/pkg-install.in
diff options
context:
space:
mode:
authorahze <ahze@df743ca5-7f9a-e211-a948-0013205c9059>2005-06-02 09:05:36 +0800
committerahze <ahze@df743ca5-7f9a-e211-a948-0013205c9059>2005-06-02 09:05:36 +0800
commitb10c110cfe04fdd097086e56c11831054809b0e5 (patch)
treedf348c4839a67204d0dec1fbdb9cdc5a188e098b /www/firefox-devel/pkg-install.in
parentae582365a5d1a6050b651b72a1ce72488ca059cd (diff)
downloadmarcuscom-ports-b10c110cfe04fdd097086e56c11831054809b0e5.tar
marcuscom-ports-b10c110cfe04fdd097086e56c11831054809b0e5.tar.gz
marcuscom-ports-b10c110cfe04fdd097086e56c11831054809b0e5.tar.bz2
marcuscom-ports-b10c110cfe04fdd097086e56c11831054809b0e5.tar.lz
marcuscom-ports-b10c110cfe04fdd097086e56c11831054809b0e5.tar.xz
marcuscom-ports-b10c110cfe04fdd097086e56c11831054809b0e5.tar.zst
marcuscom-ports-b10c110cfe04fdd097086e56c11831054809b0e5.zip
- Readd firefox at version 1.1.a1 (deer park alpha1)
- Remove lots of patches that are merged in to firefox now. - Always use XFT now. Notes: o The way we register chrome no longer works I tired to do a workaround but it didn't work. We might have to go back to the way we used to register chrome with the X hack stuff. For now you HAVE to run firefox as root before you can run it as normal user or it won't even start. Hopefully they will merge the fixes mozilla-devel has so you don't have to register chrome at all. o The pis scripts stuff need testing also, I'm not really sure about them? Release Notes: http://www.mozilla.org/projects/deerpark/releases/alpha1.html git-svn-id: svn://creme-brulee.marcuscom.com/ports/trunk@4022 df743ca5-7f9a-e211-a948-0013205c9059
Diffstat (limited to 'www/firefox-devel/pkg-install.in')
-rw-r--r--www/firefox-devel/pkg-install.in33
1 files changed, 33 insertions, 0 deletions
diff --git a/www/firefox-devel/pkg-install.in b/www/firefox-devel/pkg-install.in
new file mode 100644
index 000000000..28bd04d58
--- /dev/null
+++ b/www/firefox-devel/pkg-install.in
@@ -0,0 +1,33 @@
+#!/bin/sh
+#
+# $FreeBSD$
+#
+# Date created: Mon Nov 29, 2003
+# Whom: Thierry Thomas (<thierry@pompo.net>)
+# Fix the chrome registry.
+
+umask 022
+PATH=/bin:/usr/bin:/usr/local/bin
+
+[ "x$1" = "x" ] && exit 1
+[ "x$2" != "xPOST-INSTALL" ] && exit 0
+
+MOZDIR=%%MOZDIR%%
+REGXPCOM=${MOZDIR}/regxpcom
+REGCHROME=${MOZDIR}/regchrome
+FIREFOX=${MOZDIR}/firefox-bin
+
+echo "===> Building Chrome's registry..."
+rm -rf ${MOZDIR}/chrome/overlayinfo
+rm -f ${MOZDIR}/chrome/app-chrome.manifest
+rm -f ${MOZDIR}/chrome/*.rdf
+mkdir -p ${MOZDIR}/chrome/overlayinfo
+rm -f ${MOZDIR}/component.reg
+rm -rf ${MOZDIR}/extensions
+
+cd ${MOZDIR} || exit 1
+./run-mozilla.sh ${REGXPCOM} || true
+./run-mozilla.sh ${REGCHROME} || true
+./run-mozilla.sh ${FIREFOX} -register > /dev/null 2>&1
+
+exit 0